#include<iostream>
using namespace std;

int main () {
    string a;
    getline(cin, a);
    int n;
    cin >> n;
    if (n < 0) {
        n += (n / 26 + 1) * 26;
    } else {
        n %= 26;
    }

    int a_size = a.length();
    for (int i = 0; i < a_size; i++) {
        if ((a[i] >= 'a' && a[i] <= 'z') || (a[i] >= 'A' && a[i] <= 'Z')) {
            a[i] += n;
            if ((a[i] > 'Z' && a[i] < 'a') || a[i] > 'z') {
                a[i] -= 26;
            }
        }
    }


    cout << a;
}
